@echo off
rem This batch file will make a dislib for C/C++ programmers
rem This will only work for the 16-bit disassembler. If you
rem want the 32-bit modules, change dislib.asm to dislib32.asm
rem and __dislib.asm to __disl32.asm
rem Usage: clib.bat [MODEL]
if "%1"=="" goto nomdl

rem Add "/zi", to tasm, if you want debugging info
tasm /Dmdl=%1 /DClib /mx/t/w2 dislib
tasm /Dmdl=%1 /DClib /mx/t/w2 __dislib
rem DISLIB is the name of the library
if exist DISLIB.lib del DISLIB.lib
tlib DISLIB +__dislib +dislib,DISLIB.lst
goto exit

:nomdl
echo No C++ model specified. Usage: %0 [MODEL]
echo Where [MODEL] is: tiny,small,medium,compact,large or huge
goto exit

:exit
